package com.ozs.entity.response;

import lombok.Data;

/**
 * @author Administrator
 */
@Data
public class BaseCameraManagementResponse {

    /**
     * 相机编码
     */
    private String cameraCode;


    /**
     * 监控相机安装里程位置
     */
    private Integer installMile;
    /**
     * streamPath
     */
    private String streamPath;
    /**
     * 流类型
     */
    private String type;
    /**
     * 开始时间
     */
    private String startTime;
    
    private String subscribers;
    private AudioTracks audioTracks;
    private VideoTracks videoTracks;
    
    @Data
    public static class  AudioTracks{
        /**
         * 格式
         */
        private String name;
        /**
         * 采样率
         */
        private String sampleRate;
        /**
         * 声道
         */
        private String channels;
        /**
         * 码率
         */
        private String bps;
       
    }

    @Data
    public static class  VideoTracks{
        /**
         * 格式
         */
        private String name;
        /**
         * 分辨率
         */
        private String resolution;
        /**
         * GOP
         */
        private String gop;
        /**
         * 码率
         */
        private String bps;

    }
}
