package com.ozs.config;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.ozs.common.utils.http.HttpUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.util.ObjectUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/5/6
 */
@Configuration
@EnableScheduling
@EnableAsync
@Slf4j
public class ShotExecutors {

    /**
     * 定时清除流媒体压缩视频
     */
    @Async
    @Scheduled(fixedRate = 3)
    public void handleAlarmPicture() {
//        System.out.println("1");
    }
}
